Page MenuHomePhabricator

IE7 compatibility and CSS quirks (IE7 beta is now publicly available)
Closed, ResolvedPublic

Description

The current detection for Internet Explorer needs to be updated with the method documented by
Microsoft for IE7: almost of the old IE6 quirks are no longer supported, and IE7 (still beta) now
implements CSS2.1 notably for absolute, floating and fixed positioning.

The Wikipedia/Wikimedia logos (displayed curently with a incorrectly positioned image background)
are invisible in the top-left corner (but their link is active)

Also, Common.css is invalid (does not contain CSS code but "<Common.css>"), and there are lots of
syntax issues (notably invalid @media, invalid "Grey" color name, and so on...)

Finally the HTML page template is still not XHTML conforming, and should be compacted with less
unnecessary spaces and tabs (to save bandwidth on servers)

Note: IE7 beta is available now as a 11MB download (english only, but works on other localized
Windows versions, with minor quirks). Microsoft hasawebsite that describesthe technical changes and
what to do to prepare websites for compatiblity to the coming IE7 release that will be available as
anupdate on Windows XP and 2003 (the Longhorn version of IE7 will include a few minor additions for
parental control, and will run IE7 in a VM isolated from the system, but all other features will be
supported on Windows XP, including the new CSS engine)

Note: IE7 will support per-site search engines. Wikimedia could make use of that using a javascript
that implements an additional method for the javascript window object.
This is documented onthe Microsoft IE7 website:

http://www.microsoft.com/windows/ie/ie7/ie7betaredirect.mspx


Version: unspecified
Severity: normal
OS: Windows XP
Platform: PC

Details

Reference
bz4824

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:05 PM
bzimport added projects: MediaWiki-Parser, TestMe.
bzimport set Reference to bz4824.
Verdy_p created this task.Feb 1 2006, 12:45 PM

Note that the Wiki editor includes now a "fast preview" button and a "hide" button that do not seem to work
in IE7 (looks like a security issue, with a forbidden access to the document, possibly caused by cross-site
scripting, because the javascript is loaded from another domain)

Some javascripts in the common mediawiki server may need to be automatically mirrored on other wikis (like
images from commons). So why not defining a common HTTP subfolder for these common scripts, shared across
Wikimedia projects ?

brion added a comment.Feb 1 2006, 7:47 PM

IE7 worked fine last time I tried it. Is the new beta significantly different?

brion added a comment.Feb 1 2006, 9:41 PM

Indeed, the alpha hack no longer seems to work in beta 2. I've changed the conditional comments to skip
IEFixes.js on IE 7 and later.

Note that this is related to the new IE7 Beta2 Public Review (Ihavenoideaifthis affected the
previous beta for registered developers only, but IE7Beta2 clearly paves the way to a MUCH cleaner
CSS2.1 support).

Beware also of cross-site scripting that no longer works due to additional security
restrictions (javascripts loaded from other domains such as Commons or MediaWiki may not be allowed
to modify the current document that was loaded from a local Wikipedia project): this affects some
javascript tools, notably some of them used in the articles editor, such as the new "fast preview"
button which no longer works. So these scripts willhaveto be loaded from the domain of the local
project(possibly through virtual folder sharing across multiple projects)

gangleri wrote:

Hallo!

I used XP SP 2 with IE Version: 7.0.5296.0 Update Versions: Beta 2
and Java Version 1.5.0 (Buils 1.5.0_06-b05)

and found the following at RTL wikies ([[ar:]], [[he:]], [[ps:]], [[ug:]],
[[ur:]], [[yi:]]).

a) As anonymous user the logo is located at the left and top of the browser
window; navigation and toolbox are available but tabs are not; see
http://ug.wikipedia.org/wiki/Main_Page
b) If I follow some links or insert a new url as
http://ur.wikipedia.org/wiki/template:DIRMARK the logo does not load unless I
press CTRl-F5
c) If I login via [[ps:special:Userlogin]] / [[ur:special:Userlogin]] neither
logo nor tabs nore navigation and toolbox are available

best regards reinhardt [[user:gangleri]]

brion added a comment.Feb 8 2006, 8:03 AM

Confirmed, looking into it.

gangleri wrote:

(In reply to comment #6)

Confirmed, looking into it.

Thanks Brion! BTW: The Mediazilla logo does not show up either.

brion added a comment.Feb 8 2006, 10:36 AM

I have this mostly working now, but ran into a funky glitch:
http://community.livejournal.com/wikitech/16074.html

Will poke at it again in the morning.

brion added a comment.Feb 8 2006, 10:32 PM

Applied on HEAD and live.

gangleri wrote:

screen shot Main Page at WP:AR in IE7

(In reply to comment #9)

Applied on HEAD and live.

Thanks Brion for the fix. I found a minor issue ar [[ar:Main_Page]].

best regards Reinhardt [[user:gangleri]]

Attached:

The fix works for [[ar:]], and still works for [[fr:]] or [[de:]], but in [[en:]] there must be something
wrong in the CSS rules because now [[en:]] does not display the logo in IE7 Beta2-PR for Win XP !

brion added a comment.Feb 9 2006, 6:29 AM

It displays just fine.

gangleri wrote:

addition to comment #10

screen shot Main Page at WP:AR in IE7

The "callender" table overlaps the text.

(In reply to comment #11)

... but in [[en:]] there must be something
wrong in the CSS rules because now [[en:]] does not display the logo in IE7

Beta2-PR for Win XP !

It displays just fine for me too both logged in and as anonymous user.

brion added a comment.Feb 11 2006, 3:33 AM
  • Bug 4954 has been marked as a duplicate of this bug. ***

jediarchives11 wrote:

The Mediazilla logo is still not displaying, for me at least.

Restricted Application added a project: I18n. · View Herald TranscriptJun 2 2015, 2:21 PM